Bug 1346946 - Seeing Error message in rbd_mirror status on Master Node
Summary: Seeing Error message in rbd_mirror status on Master Node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 2.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 2.1
Assignee: Jason Dillaman
QA Contact: Rachana Patel
Bara Ancincova
URL:
Whiteboard:
: 1344771 1346939 (view as bug list)
Depends On:
Blocks: 1322504 1383917
TreeView+ depends on / blocked
 
Reported: 2016-06-15 17:14 UTC by Tanay Ganguly
Modified: 2017-07-30 15:26 UTC (History)
7 users (show)

Fixed In Version: RHEL: ceph-10.2.3-2.el7cp Ubuntu: ceph_10.2.3-3redhat1xenial
Doc Type: Bug Fix
Doc Text:
.Error messages are no longer returned after disabling journaling When the `journaling` feature was disabled on an image that was previously mirrored by the `rbd-mirror` daemon, an error message similar to the following was returned on the primary cluster: ---- 2016-06-15 22:10:40.462481 7fed3d10b700 -1 rbd::mirror::ImageReplayer: 0x7fecd8003b80 [1/29d86f79-7bba-4316-9ab9-c8a3f600e0f2] operator(): start failed: (2) No such file or directory ---- These harmless error messages indicated that the image journal was deleted because `journaling` was disabled. The underlying source code has been modified, and the error messages are no longer returned in the described situation.
Clone Of:
Environment:
Last Closed: 2016-11-22 19:26:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16348 None None None 2016-08-10 19:19:41 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description Tanay Ganguly 2016-06-15 17:14:34 UTC
Description of problem:
Seeing Error message in rbd_mirror status on Master Node

Version-Release number of selected component (if applicable):
ceph version 10.2.2-1.el7cp

How reproducible:
Always

Steps to Reproduce:
1. Create an Image
2. Write some data.
3. Enable Journal
4. Let it get synced.
5. After a while disable the Journal.


Actual results:
Seeing the Error message on the Master Node.

 Jun 15 22:10:40 cephqe5.lab.eng.blr.redhat.com rbd-mirror[59469]: 2016-06-15 22:10:40.462404 7fed097fa700 -1 rbd::mirror::image_replayer::BootstrapRequest: 0x7fecd800c900 handle_get_remote_tag_class: failed to retrieve remote client: (2) No such file or directory
 Jun 15 22:10:40 cephqe5.lab.eng.blr.redhat.com rbd-mirror[59469]: 2016-06-15 22:10:40.462481 7fed3d10b700 -1 rbd::mirror::ImageReplayer: 0x7fecd8003b80 [1/29d86f79-7bba-4316-9ab9-c8a3f600e0f2] operator(): start failed: (2) No such file or directory

Expected results:
There should not be this error message

Additional info:


---------------------------------------
 ● ceph-rbd-mirror@master.service - Ceph rbd mirror daemon
    Loaded: loaded (/usr/lib/systemd/system/ceph-rbd-mirror@.service; disabled; vendor preset: disabled)
    Active: active (running) since Wed 2016-06-15 22:04:54 IST; 14min ago
  Main PID: 59469 (rbd-mirror)
    CGroup: /system.slice/system-ceph\x2drbd\x2dmirror.slice/ceph-rbd-mirror@master.service
            └─59469 /usr/bin/rbd-mirror -f --cluster master --id master --setuser ceph --setgroup ceph
 Jun 15 22:04:54 cephqe5.lab.eng.blr.redhat.com systemd[1]: Started Ceph rbd mirror daemon.
 Jun 15 22:04:54 cephqe5.lab.eng.blr.redhat.com systemd[1]: Starting Ceph rbd mirror daemon...
 Jun 15 22:10:40 cephqe5.lab.eng.blr.redhat.com rbd-mirror[59469]: 2016-06-15 22:10:40.462404 7fed097fa700 -1 rbd::mirror::image_replayer::BootstrapRequest: 0x7fecd800c900 handle_get_remote_tag_class: failed to retrieve remote client: (2) No such file or directory
 Jun 15 22:10:40 cephqe5.lab.eng.blr.redhat.com rbd-mirror[59469]: 2016-06-15 22:10:40.462481 7fed3d10b700 -1 rbd::mirror::ImageReplayer: 0x7fecd8003b80 [1/29d86f79-7bba-4316-9ab9-c8a3f600e0f2] operator(): start failed: (2) No such file or directory
 Jun 15 22:10:40 cephqe5.lab.eng.blr.redhat.com rbd-mirror[59469]: 2016-06-15 22:10:40.471014 7fed1ffff700 -1 JournalMetadata: operator(): failed to watch journal(2) No such file or directory
 Jun 15 22:10:40 cephqe5.lab.eng.blr.redhat.com rbd-mirror[59469]: 2016-06-15 22:10:40.471027 7fed1ffff700 -1 JournalMetadata: failed to initialize immutable metadata: (2) No such file or directory
 Jun 15 22:11:10 cephqe5.lab.eng.blr.redhat.com rbd-mirror[59469]: 2016-06-15 22:11:10.462284 7fed1ffff700 -1 JournalMetadata: operator(): failed to watch journal(2) No such file or directory
 Jun 15 22:11:10 cephqe5.lab.eng.blr.redhat.com rbd-mirror[59469]: 2016-06-15 22:11:10.462303 7fed1ffff700 -1 JournalMetadata: failed to initialize immutable metadata: (2) No such file or directory

Comment 4 Jason Dillaman 2016-06-15 23:16:44 UTC
*** Bug 1346939 has been marked as a duplicate of this bug. ***

Comment 5 Jason Dillaman 2016-06-15 23:18:14 UTC
*** Bug 1344771 has been marked as a duplicate of this bug. ***

Comment 6 Jason Dillaman 2016-08-10 19:19:41 UTC
Upstream pull request: https://github.com/ceph/ceph/pull/9751

Comment 13 Rachana Patel 2016-10-21 16:06:33 UTC
verified with 10.2.3-8.el7cp.x86_64.

Followed procedure mentioned in bug description. no error messages hence moving to verified

Comment 20 errata-xmlrpc 2016-11-22 19:26:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.